source: squid-ssl/trunk/fuentes/lib/libTrie/Makefile.in @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 2 years ago

Initial release

File size: 43.2 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17
18VPATH = @srcdir@
19am__is_gnu_make = { \
20  if test -z '$(MAKELEVEL)'; then \
21    false; \
22  elif test -n '$(MAKE_HOST)'; then \
23    true; \
24  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25    true; \
26  else \
27    false; \
28  fi; \
29}
30am__make_running_with_option = \
31  case $${target_option-} in \
32      ?) ;; \
33      *) echo "am__make_running_with_option: internal error: invalid" \
34              "target option '$${target_option-}' specified" >&2; \
35         exit 1;; \
36  esac; \
37  has_opt=no; \
38  sane_makeflags=$$MAKEFLAGS; \
39  if $(am__is_gnu_make); then \
40    sane_makeflags=$$MFLAGS; \
41  else \
42    case $$MAKEFLAGS in \
43      *\\[\ \   ]*) \
44        bs=\\; \
45        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47    esac; \
48  fi; \
49  skip_next=no; \
50  strip_trailopt () \
51  { \
52    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53  }; \
54  for flg in $$sane_makeflags; do \
55    test $$skip_next = yes && { skip_next=no; continue; }; \
56    case $$flg in \
57      *=*|--*) continue;; \
58        -*I) strip_trailopt 'I'; skip_next=yes;; \
59      -*I?*) strip_trailopt 'I';; \
60        -*O) strip_trailopt 'O'; skip_next=yes;; \
61      -*O?*) strip_trailopt 'O';; \
62        -*l) strip_trailopt 'l'; skip_next=yes;; \
63      -*l?*) strip_trailopt 'l';; \
64      -[dEDm]) skip_next=yes;; \
65      -[JT]) skip_next=yes;; \
66    esac; \
67    case $$flg in \
68      *$$target_option*) has_opt=yes; break;; \
69    esac; \
70  done; \
71  test $$has_opt = yes
72am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74pkgdatadir = $(datadir)/@PACKAGE@
75pkgincludedir = $(includedir)/@PACKAGE@
76pkglibdir = $(libdir)/@PACKAGE@
77pkglibexecdir = $(libexecdir)/@PACKAGE@
78am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79install_sh_DATA = $(install_sh) -c -m 644
80install_sh_PROGRAM = $(install_sh) -c
81install_sh_SCRIPT = $(install_sh) -c
82INSTALL_HEADER = $(INSTALL_DATA)
83transform = $(program_transform_name)
84NORMAL_INSTALL = :
85PRE_INSTALL = :
86POST_INSTALL = :
87NORMAL_UNINSTALL = :
88PRE_UNINSTALL = :
89POST_UNINSTALL = :
90build_triplet = @build@
91host_triplet = @host@
92check_PROGRAMS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94subdir = lib/libTrie
95ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
96am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
97        $(top_srcdir)/acinclude/init.m4 \
98        $(top_srcdir)/acinclude/squid-util.m4 \
99        $(top_srcdir)/acinclude/compiler-flags.m4 \
100        $(top_srcdir)/acinclude/os-deps.m4 \
101        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
102        $(top_srcdir)/acinclude/pkg.m4 \
103        $(top_srcdir)/acinclude/lib-checks.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
106        $(top_srcdir)/helpers/basic_auth/modules.m4 \
107        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
121        $(top_srcdir)/helpers/digest_auth/modules.m4 \
122        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
133        $(top_srcdir)/helpers/log_daemon/modules.m4 \
134        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
136        $(top_srcdir)/helpers/external_acl/modules.m4 \
137        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
141        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
142        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
145        $(top_srcdir)/helpers/external_acl/session/required.m4 \
146        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
147        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
148        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
149        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
150        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
153        $(top_srcdir)/configure.ac
154am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
155        $(ACLOCAL_M4)
156DIST_COMMON = $(srcdir)/Makefile.am $(noinst_HEADERS) \
157        $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162LIBRARIES = $(noinst_LIBRARIES)
163ARFLAGS = cru
164AM_V_AR = $(am__v_AR_@AM_V@)
165am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
166am__v_AR_0 = @echo "  AR      " $@;
167am__v_AR_1 =
168libTrie_a_AR = $(AR) $(ARFLAGS)
169libTrie_a_LIBADD =
170am_libTrie_a_OBJECTS = Trie.$(OBJEXT) TrieNode.$(OBJEXT)
171libTrie_a_OBJECTS = $(am_libTrie_a_OBJECTS)
172AM_V_P = $(am__v_P_@AM_V@)
173am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
174am__v_P_0 = false
175am__v_P_1 = :
176AM_V_GEN = $(am__v_GEN_@AM_V@)
177am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
178am__v_GEN_0 = @echo "  GEN     " $@;
179am__v_GEN_1 =
180AM_V_at = $(am__v_at_@AM_V@)
181am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
182am__v_at_0 = @
183am__v_at_1 =
184DEFAULT_INCLUDES =
185depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
186am__depfiles_maybe = depfiles
187am__mv = mv -f
188CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
189        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
190AM_V_lt = $(am__v_lt_@AM_V@)
191am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
192am__v_lt_0 = --silent
193am__v_lt_1 =
194LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
195        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
196        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
197        $(AM_CXXFLAGS) $(CXXFLAGS)
198AM_V_CXX = $(am__v_CXX_@AM_V@)
199am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
200am__v_CXX_0 = @echo "  CXX     " $@;
201am__v_CXX_1 =
202CXXLD = $(CXX)
203CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
204        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
205        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
206AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
207am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
208am__v_CXXLD_0 = @echo "  CXXLD   " $@;
209am__v_CXXLD_1 =
210COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
211        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
212LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
213        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
214        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
215        $(AM_CFLAGS) $(CFLAGS)
216AM_V_CC = $(am__v_CC_@AM_V@)
217am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
218am__v_CC_0 = @echo "  CC      " $@;
219am__v_CC_1 =
220CCLD = $(CC)
221LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
222        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
223        $(AM_LDFLAGS) $(LDFLAGS) -o $@
224AM_V_CCLD = $(am__v_CCLD_@AM_V@)
225am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
226am__v_CCLD_0 = @echo "  CCLD    " $@;
227am__v_CCLD_1 =
228SOURCES = $(libTrie_a_SOURCES)
229DIST_SOURCES = $(libTrie_a_SOURCES)
230RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
231        ctags-recursive dvi-recursive html-recursive info-recursive \
232        install-data-recursive install-dvi-recursive \
233        install-exec-recursive install-html-recursive \
234        install-info-recursive install-pdf-recursive \
235        install-ps-recursive install-recursive installcheck-recursive \
236        installdirs-recursive pdf-recursive ps-recursive \
237        tags-recursive uninstall-recursive
238am__can_run_installinfo = \
239  case $$AM_UPDATE_INFO_DIR in \
240    n|no|NO) false;; \
241    *) (install-info --version) >/dev/null 2>&1;; \
242  esac
243HEADERS = $(noinst_HEADERS)
244RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
245  distclean-recursive maintainer-clean-recursive
246am__recursive_targets = \
247  $(RECURSIVE_TARGETS) \
248  $(RECURSIVE_CLEAN_TARGETS) \
249  $(am__extra_recursive_targets)
250AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
251        check recheck distdir
252am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
253# Read a list of newline-separated strings from the standard input,
254# and print each of them once, without duplicates.  Input order is
255# *not* preserved.
256am__uniquify_input = $(AWK) '\
257  BEGIN { nonempty = 0; } \
258  { items[$$0] = 1; nonempty = 1; } \
259  END { if (nonempty) { for (i in items) print i; }; } \
260'
261# Make sure the list of sources is unique.  This is necessary because,
262# e.g., the same source file might be shared among _SOURCES variables
263# for different programs/libraries.
264am__define_uniq_tagged_files = \
265  list='$(am__tagged_files)'; \
266  unique=`for i in $$list; do \
267    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
268  done | $(am__uniquify_input)`
269ETAGS = etags
270CTAGS = ctags
271am__tty_colors_dummy = \
272  mgn= red= grn= lgn= blu= brg= std=; \
273  am__color_tests=no
274am__tty_colors = { \
275  $(am__tty_colors_dummy); \
276  if test "X$(AM_COLOR_TESTS)" = Xno; then \
277    am__color_tests=no; \
278  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
279    am__color_tests=yes; \
280  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
281    am__color_tests=yes; \
282  fi; \
283  if test $$am__color_tests = yes; then \
284    red='[0;31m'; \
285    grn='[0;32m'; \
286    lgn='[1;32m'; \
287    blu='[1;34m'; \
288    mgn='[0;35m'; \
289    brg='[1m'; \
290    std='[m'; \
291  fi; \
292}
293am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
294am__vpath_adj = case $$p in \
295    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
296    *) f=$$p;; \
297  esac;
298am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
299am__install_max = 40
300am__nobase_strip_setup = \
301  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
302am__nobase_strip = \
303  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
304am__nobase_list = $(am__nobase_strip_setup); \
305  for p in $$list; do echo "$$p $$p"; done | \
306  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
307  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
308    if (++n[$$2] == $(am__install_max)) \
309      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
310    END { for (dir in files) print dir, files[dir] }'
311am__base_list = \
312  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
313  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
314am__uninstall_files_from_dir = { \
315  test -z "$$files" \
316    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
317    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
318         $(am__cd) "$$dir" && rm -f $$files; }; \
319  }
320am__recheck_rx = ^[     ]*:recheck:[    ]*
321am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
322am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
323# A command that, given a newline-separated list of test names on the
324# standard input, print the name of the tests that are to be re-run
325# upon "make recheck".
326am__list_recheck_tests = $(AWK) '{ \
327  recheck = 1; \
328  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
329    { \
330      if (rc < 0) \
331        { \
332          if ((getline line2 < ($$0 ".log")) < 0) \
333            recheck = 0; \
334          break; \
335        } \
336      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
337        { \
338          recheck = 0; \
339          break; \
340        } \
341      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
342        { \
343          break; \
344        } \
345    }; \
346  if (recheck) \
347    print $$0; \
348  close ($$0 ".trs"); \
349  close ($$0 ".log"); \
350}'
351# A command that, given a newline-separated list of test names on the
352# standard input, create the global log from their .trs and .log files.
353am__create_global_log = $(AWK) ' \
354function fatal(msg) \
355{ \
356  print "fatal: making $@: " msg | "cat >&2"; \
357  exit 1; \
358} \
359function rst_section(header) \
360{ \
361  print header; \
362  len = length(header); \
363  for (i = 1; i <= len; i = i + 1) \
364    printf "="; \
365  printf "\n\n"; \
366} \
367{ \
368  copy_in_global_log = 1; \
369  global_test_result = "RUN"; \
370  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
371    { \
372      if (rc < 0) \
373         fatal("failed to read from " $$0 ".trs"); \
374      if (line ~ /$(am__global_test_result_rx)/) \
375        { \
376          sub("$(am__global_test_result_rx)", "", line); \
377          sub("[        ]*$$", "", line); \
378          global_test_result = line; \
379        } \
380      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
381        copy_in_global_log = 0; \
382    }; \
383  if (copy_in_global_log) \
384    { \
385      rst_section(global_test_result ": " $$0); \
386      while ((rc = (getline line < ($$0 ".log"))) != 0) \
387      { \
388        if (rc < 0) \
389          fatal("failed to read from " $$0 ".log"); \
390        print line; \
391      }; \
392      printf "\n"; \
393    }; \
394  close ($$0 ".trs"); \
395  close ($$0 ".log"); \
396}'
397# Restructured Text title.
398am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
399# Solaris 10 'make', and several other traditional 'make' implementations,
400# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
401# by disabling -e (using the XSI extension "set +e") if it's set.
402am__sh_e_setup = case $$- in *e*) set +e;; esac
403# Default flags passed to test drivers.
404am__common_driver_flags = \
405  --color-tests "$$am__color_tests" \
406  --enable-hard-errors "$$am__enable_hard_errors" \
407  --expect-failure "$$am__expect_failure"
408# To be inserted before the command running the test.  Creates the
409# directory for the log if needed.  Stores in $dir the directory
410# containing $f, in $tst the test, in $log the log.  Executes the
411# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
412# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
413# will run the test scripts (or their associated LOG_COMPILER, if
414# thy have one).
415am__check_pre = \
416$(am__sh_e_setup);                                      \
417$(am__vpath_adj_setup) $(am__vpath_adj)                 \
418$(am__tty_colors);                                      \
419srcdir=$(srcdir); export srcdir;                        \
420case "$@" in                                            \
421  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
422    *) am__odir=.;;                                     \
423esac;                                                   \
424test "x$$am__odir" = x"." || test -d "$$am__odir"       \
425  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
426if test -f "./$$f"; then dir=./;                        \
427elif test -f "$$f"; then dir=;                          \
428else dir="$(srcdir)/"; fi;                              \
429tst=$$dir$$f; log='$@';                                 \
430if test -n '$(DISABLE_HARD_ERRORS)'; then               \
431  am__enable_hard_errors=no;                            \
432else                                                    \
433  am__enable_hard_errors=yes;                           \
434fi;                                                     \
435case " $(XFAIL_TESTS) " in                              \
436  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
437    am__expect_failure=yes;;                            \
438  *)                                                    \
439    am__expect_failure=no;;                             \
440esac;                                                   \
441$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
442# A shell command to get the names of the tests scripts with any registered
443# extension removed (i.e., equivalently, the names of the test logs, with
444# the '.log' extension removed).  The result is saved in the shell variable
445# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
446# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
447# since that might cause problem with VPATH rewrites for suffix-less tests.
448# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
449am__set_TESTS_bases = \
450  bases='$(TEST_LOGS)'; \
451  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
452  bases=`echo $$bases`
453RECHECK_LOGS = $(TEST_LOGS)
454TEST_SUITE_LOG = test-suite.log
455TEST_EXTENSIONS = @EXEEXT@ .test
456LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
457LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
458am__set_b = \
459  case '$@' in \
460    */*) \
461      case '$*' in \
462        */*) b='$*';; \
463          *) b=`echo '$@' | sed 's/\.log$$//'`; \
464       esac;; \
465    *) \
466      b='$*';; \
467  esac
468am__test_logs1 = $(TESTS:=.log)
469am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
470TEST_LOGS = $(am__test_logs2:.test.log=.log)
471TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
472TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
473        $(TEST_LOG_FLAGS)
474am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
475        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
476        $(top_srcdir)/src/TestHeaders.am
477DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
478am__relativize = \
479  dir0=`pwd`; \
480  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
481  sed_rest='s,^[^/]*/*,,'; \
482  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
483  sed_butlast='s,/*[^/]*$$,,'; \
484  while test -n "$$dir1"; do \
485    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
486    if test "$$first" != "."; then \
487      if test "$$first" = ".."; then \
488        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
489        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
490      else \
491        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
492        if test "$$first2" = "$$first"; then \
493          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
494        else \
495          dir2="../$$dir2"; \
496        fi; \
497        dir0="$$dir0"/"$$first"; \
498      fi; \
499    fi; \
500    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
501  done; \
502  reldir="$$dir2"
503ACLOCAL = @ACLOCAL@
504ADAPTATION_LIBS = @ADAPTATION_LIBS@
505ALLOCA = @ALLOCA@
506AMTAR = @AMTAR@
507AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
508AR = @AR@
509AR_R = @AR_R@
510AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
511AUTH_MODULES = @AUTH_MODULES@
512AUTOCONF = @AUTOCONF@
513AUTOHEADER = @AUTOHEADER@
514AUTOMAKE = @AUTOMAKE@
515AWK = @AWK@
516BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
517BUILDCXX = @BUILDCXX@
518BUILDCXXFLAGS = @BUILDCXXFLAGS@
519BZR = @BZR@
520CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
521CC = @CC@
522CCDEPMODE = @CCDEPMODE@
523CFLAGS = @CFLAGS@
524CGIEXT = @CGIEXT@
525CHMOD = @CHMOD@
526CPP = @CPP@
527CPPFLAGS = @CPPFLAGS@
528CPPUNITCONFIG = @CPPUNITCONFIG@
529CRYPTLIB = @CRYPTLIB@
530CXX = @CXX@
531CXXCPP = @CXXCPP@
532CXXDEPMODE = @CXXDEPMODE@
533CXXFLAGS = @CXXFLAGS@
534CYGPATH_W = @CYGPATH_W@
535DEFAULT_HOSTS = @DEFAULT_HOSTS@
536DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
537DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
538DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
539DEFS = @DEFS@
540DEPDIR = @DEPDIR@
541DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
542DISK_LIBS = @DISK_LIBS@
543DISK_LINKOBJS = @DISK_LINKOBJS@
544DISK_MODULES = @DISK_MODULES@
545DISK_OS_LIBS = @DISK_OS_LIBS@
546DISK_PROGRAMS = @DISK_PROGRAMS@
547DLLTOOL = @DLLTOOL@
548DSYMUTIL = @DSYMUTIL@
549DUMPBIN = @DUMPBIN@
550ECAP_LIBS = @ECAP_LIBS@
551ECHO_C = @ECHO_C@
552ECHO_N = @ECHO_N@
553ECHO_T = @ECHO_T@
554EGREP = @EGREP@
555EPOLL_LIBS = @EPOLL_LIBS@
556EUILIB = @EUILIB@
557EXEEXT = @EXEEXT@
558EXPATLIB = @EXPATLIB@
559EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
560EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
561EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
562FALSE = @FALSE@
563FGREP = @FGREP@
564GREP = @GREP@
565HAVE_CXX11 = @HAVE_CXX11@
566ICAP_LIBS = @ICAP_LIBS@
567INCLTDL = @INCLTDL@
568INSTALL = @INSTALL@
569INSTALL_DATA = @INSTALL_DATA@
570INSTALL_PROGRAM = @INSTALL_PROGRAM@
571INSTALL_SCRIPT = @INSTALL_SCRIPT@
572INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
573KRB5INCS = @KRB5INCS@
574KRB5LIBS = @KRB5LIBS@
575LBERLIB = @LBERLIB@
576LD = @LD@
577LDAPLIB = @LDAPLIB@
578LDFLAGS = @LDFLAGS@
579LIBADD_DL = @LIBADD_DL@
580LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
581LIBADD_DLOPEN = @LIBADD_DLOPEN@
582LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
583LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
584LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
585LIBLTDL = @LIBLTDL@
586LIBOBJS = @LIBOBJS@
587LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
588LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
589LIBS = @LIBS@
590LIBSASL = @LIBSASL@
591LIBTOOL = @LIBTOOL@
592LIB_DB = @LIB_DB@
593LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
594LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
595LINUXDOC = @LINUXDOC@
596LIPO = @LIPO@
597LN = @LN@
598LN_S = @LN_S@
599LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
600LTDLDEPS = @LTDLDEPS@
601LTDLINCL = @LTDLINCL@
602LTDLOPEN = @LTDLOPEN@
603LTLIBOBJS = @LTLIBOBJS@
604LT_ARGZ_H = @LT_ARGZ_H@
605LT_CONFIG_H = @LT_CONFIG_H@
606LT_DLLOADERS = @LT_DLLOADERS@
607LT_DLPREOPEN = @LT_DLPREOPEN@
608LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
609MAINT = @MAINT@
610MAKEINFO = @MAKEINFO@
611MANIFEST_TOOL = @MANIFEST_TOOL@
612MINGW_LIBS = @MINGW_LIBS@
613MKDIR = @MKDIR@
614MKDIR_P = @MKDIR_P@
615MV = @MV@
616NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
617NETTLELIB = @NETTLELIB@
618NM = @NM@
619NMEDIT = @NMEDIT@
620NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
621OBJDUMP = @OBJDUMP@
622OBJEXT = @OBJEXT@
623OTOOL = @OTOOL@
624OTOOL64 = @OTOOL64@
625PACKAGE = @PACKAGE@
626PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
627PACKAGE_NAME = @PACKAGE_NAME@
628PACKAGE_STRING = @PACKAGE_STRING@
629PACKAGE_TARNAME = @PACKAGE_TARNAME@
630PACKAGE_URL = @PACKAGE_URL@
631PACKAGE_VERSION = @PACKAGE_VERSION@
632PATH_SEPARATOR = @PATH_SEPARATOR@
633PERL = @PERL@
634PKG_CONFIG = @PKG_CONFIG@
635PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
636PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
637PO2HTML = @PO2HTML@
638PO2TEXT = @PO2TEXT@
639POD2MAN = @POD2MAN@
640RANLIB = @RANLIB@
641REGEXLIB = @REGEXLIB@
642REPL_LIBS = @REPL_LIBS@
643REPL_OBJS = @REPL_OBJS@
644REPL_POLICIES = @REPL_POLICIES@
645RM = @RM@
646SED = @SED@
647SET_MAKE = @SET_MAKE@
648SH = @SH@
649SHELL = @SHELL@
650SMBCLIENT = @SMBCLIENT@
651SNMPLIB = @SNMPLIB@
652SQUID_CFLAGS = @SQUID_CFLAGS@
653SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
654SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
655SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
656SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
657SSLLIB = @SSLLIB@
658STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
659STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
660STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
661STORE_TESTS = @STORE_TESTS@
662STRIP = @STRIP@
663TR = @TR@
664TRUE = @TRUE@
665URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
666VERSION = @VERSION@
667WBINFO = @WBINFO@
668WIN32_PSAPI = @WIN32_PSAPI@
669XMLLIB = @XMLLIB@
670XTRA_LIBS = @XTRA_LIBS@
671XTRA_OBJS = @XTRA_OBJS@
672abs_builddir = @abs_builddir@
673abs_srcdir = @abs_srcdir@
674abs_top_builddir = @abs_top_builddir@
675abs_top_srcdir = @abs_top_srcdir@
676ac_ct_AR = @ac_ct_AR@
677ac_ct_CC = @ac_ct_CC@
678ac_ct_CXX = @ac_ct_CXX@
679ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
680am__include = @am__include@
681am__leading_dot = @am__leading_dot@
682am__quote = @am__quote@
683am__tar = @am__tar@
684am__untar = @am__untar@
685bindir = @bindir@
686build = @build@
687build_alias = @build_alias@
688build_cpu = @build_cpu@
689build_os = @build_os@
690build_vendor = @build_vendor@
691builddir = @builddir@
692datadir = @datadir@
693datarootdir = @datarootdir@
694docdir = @docdir@
695dvidir = @dvidir@
696exec_prefix = @exec_prefix@
697host = @host@
698host_alias = @host_alias@
699host_cpu = @host_cpu@
700host_os = @host_os@
701host_vendor = @host_vendor@
702htmldir = @htmldir@
703includedir = @includedir@
704infodir = @infodir@
705install_sh = @install_sh@
706krb5_config = @krb5_config@
707libdir = @libdir@
708libexecdir = @libexecdir@
709localedir = @localedir@
710localstatedir = @localstatedir@
711ltdl_LIBOBJS = @ltdl_LIBOBJS@
712ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
713mandir = @mandir@
714mkdir_p = @mkdir_p@
715oldincludedir = @oldincludedir@
716pdfdir = @pdfdir@
717prefix = @prefix@
718program_transform_name = @program_transform_name@
719psdir = @psdir@
720runstatedir = @runstatedir@
721sbindir = @sbindir@
722sharedstatedir = @sharedstatedir@
723srcdir = @srcdir@
724subdirs = @subdirs@
725sys_symbol_underscore = @sys_symbol_underscore@
726sysconfdir = @sysconfdir@
727target_alias = @target_alias@
728top_build_prefix = @top_build_prefix@
729top_builddir = @top_builddir@
730top_srcdir = @top_srcdir@
731AM_CFLAGS = $(SQUID_CFLAGS)
732AM_CXXFLAGS = $(SQUID_CXXFLAGS)
733CLEANFILES = testHeaders
734TESTS = testHeaders
735AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
736        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
737        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
738        $(am__append_1)
739@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
740@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
741COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
742subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
743DIST_SUBDIRS = test
744SUBDIRS = test
745noinst_LIBRARIES = libTrie.a
746noinst_HEADERS = Trie.h TrieNode.h TrieCharTransform.h
747libTrie_a_SOURCES = Trie.cc \
748        Trie.h \
749        TrieNode.cc \
750        TrieNode.h \
751        TrieCharTransform.h
752
753all: all-recursive
754
755.SUFFIXES:
756.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
757$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
758        @for dep in $?; do \
759          case '$(am__configure_deps)' in \
760            *$$dep*) \
761              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
762                && { if test -f $@; then exit 0; else break; fi; }; \
763              exit 1;; \
764          esac; \
765        done; \
766        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu lib/libTrie/Makefile'; \
767        $(am__cd) $(top_srcdir) && \
768          $(AUTOMAKE) --gnu lib/libTrie/Makefile
769Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
770        @case '$?' in \
771          *config.status*) \
772            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
773          *) \
774            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
775            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
776        esac;
777$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
778
779$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
780        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
781
782$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
783        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
784$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
785        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
786$(am__aclocal_m4_deps):
787
788clean-noinstLIBRARIES:
789        -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
790
791libTrie.a: $(libTrie_a_OBJECTS) $(libTrie_a_DEPENDENCIES) $(EXTRA_libTrie_a_DEPENDENCIES)
792        $(AM_V_at)-rm -f libTrie.a
793        $(AM_V_AR)$(libTrie_a_AR) libTrie.a $(libTrie_a_OBJECTS) $(libTrie_a_LIBADD)
794        $(AM_V_at)$(RANLIB) libTrie.a
795
796clean-checkPROGRAMS:
797        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
798        echo " rm -f" $$list; \
799        rm -f $$list || exit $$?; \
800        test -n "$(EXEEXT)" || exit 0; \
801        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
802        echo " rm -f" $$list; \
803        rm -f $$list
804
805mostlyclean-compile:
806        -rm -f *.$(OBJEXT)
807
808distclean-compile:
809        -rm -f *.tab.c
810
811@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Trie.Po@am__quote@
812@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/TrieNode.Po@am__quote@
813
814.cc.o:
815@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
816@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
817@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
818@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
819@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
820@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
821
822.cc.obj:
823@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
824@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
825@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
826@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
827@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
828@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
829
830.cc.lo:
831@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
832@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
833@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
834@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
835@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
836@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
837
838mostlyclean-libtool:
839        -rm -f *.lo
840
841clean-libtool:
842        -rm -rf .libs _libs
843
844# This directory's subdirectories are mostly independent; you can cd
845# into them and run 'make' without going through this Makefile.
846# To change the values of 'make' variables: instead of editing Makefiles,
847# (1) if the variable is set in 'config.status', edit 'config.status'
848#     (which will cause the Makefiles to be regenerated when you run 'make');
849# (2) otherwise, pass the desired values on the 'make' command line.
850$(am__recursive_targets):
851        @fail=; \
852        if $(am__make_keepgoing); then \
853          failcom='fail=yes'; \
854        else \
855          failcom='exit 1'; \
856        fi; \
857        dot_seen=no; \
858        target=`echo $@ | sed s/-recursive//`; \
859        case "$@" in \
860          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
861          *) list='$(SUBDIRS)' ;; \
862        esac; \
863        for subdir in $$list; do \
864          echo "Making $$target in $$subdir"; \
865          if test "$$subdir" = "."; then \
866            dot_seen=yes; \
867            local_target="$$target-am"; \
868          else \
869            local_target="$$target"; \
870          fi; \
871          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
872          || eval $$failcom; \
873        done; \
874        if test "$$dot_seen" = "no"; then \
875          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
876        fi; test -z "$$fail"
877
878ID: $(am__tagged_files)
879        $(am__define_uniq_tagged_files); mkid -fID $$unique
880tags: tags-recursive
881TAGS: tags
882
883tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
884        set x; \
885        here=`pwd`; \
886        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
887          include_option=--etags-include; \
888          empty_fix=.; \
889        else \
890          include_option=--include; \
891          empty_fix=; \
892        fi; \
893        list='$(SUBDIRS)'; for subdir in $$list; do \
894          if test "$$subdir" = .; then :; else \
895            test ! -f $$subdir/TAGS || \
896              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
897          fi; \
898        done; \
899        $(am__define_uniq_tagged_files); \
900        shift; \
901        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
902          test -n "$$unique" || unique=$$empty_fix; \
903          if test $$# -gt 0; then \
904            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
905              "$$@" $$unique; \
906          else \
907            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
908              $$unique; \
909          fi; \
910        fi
911ctags: ctags-recursive
912
913CTAGS: ctags
914ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
915        $(am__define_uniq_tagged_files); \
916        test -z "$(CTAGS_ARGS)$$unique" \
917          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
918             $$unique
919
920GTAGS:
921        here=`$(am__cd) $(top_builddir) && pwd` \
922          && $(am__cd) $(top_srcdir) \
923          && gtags -i $(GTAGS_ARGS) "$$here"
924cscopelist: cscopelist-recursive
925
926cscopelist-am: $(am__tagged_files)
927        list='$(am__tagged_files)'; \
928        case "$(srcdir)" in \
929          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
930          *) sdir=$(subdir)/$(srcdir) ;; \
931        esac; \
932        for i in $$list; do \
933          if test -f "$$i"; then \
934            echo "$(subdir)/$$i"; \
935          else \
936            echo "$$sdir/$$i"; \
937          fi; \
938        done >> $(top_builddir)/cscope.files
939
940distclean-tags:
941        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
942
943# Recover from deleted '.trs' file; this should ensure that
944# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
945# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
946# to avoid problems with "make -n".
947.log.trs:
948        rm -f $< $@
949        $(MAKE) $(AM_MAKEFLAGS) $<
950
951# Leading 'am--fnord' is there to ensure the list of targets does not
952# expand to empty, as could happen e.g. with make check TESTS=''.
953am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
954am--force-recheck:
955        @:
956
957$(TEST_SUITE_LOG): $(TEST_LOGS)
958        @$(am__set_TESTS_bases); \
959        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
960        redo_bases=`for i in $$bases; do \
961                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
962                    done`; \
963        if test -n "$$redo_bases"; then \
964          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
965          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
966          if $(am__make_dryrun); then :; else \
967            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
968          fi; \
969        fi; \
970        if test -n "$$am__remaking_logs"; then \
971          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
972               "recursion detected" >&2; \
973        elif test -n "$$redo_logs"; then \
974          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
975        fi; \
976        if $(am__make_dryrun); then :; else \
977          st=0;  \
978          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
979          for i in $$redo_bases; do \
980            test -f $$i.trs && test -r $$i.trs \
981              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
982            test -f $$i.log && test -r $$i.log \
983              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
984          done; \
985          test $$st -eq 0 || exit 1; \
986        fi
987        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
988        ws='[   ]'; \
989        results=`for b in $$bases; do echo $$b.trs; done`; \
990        test -n "$$results" || results=/dev/null; \
991        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
992        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
993        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
994        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
995        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
996        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
997        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
998        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
999          success=true; \
1000        else \
1001          success=false; \
1002        fi; \
1003        br='==================='; br=$$br$$br$$br$$br; \
1004        result_count () \
1005        { \
1006            if test x"$$1" = x"--maybe-color"; then \
1007              maybe_colorize=yes; \
1008            elif test x"$$1" = x"--no-color"; then \
1009              maybe_colorize=no; \
1010            else \
1011              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1012            fi; \
1013            shift; \
1014            desc=$$1 count=$$2; \
1015            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1016              color_start=$$3 color_end=$$std; \
1017            else \
1018              color_start= color_end=; \
1019            fi; \
1020            echo "$${color_start}# $$desc $$count$${color_end}"; \
1021        }; \
1022        create_testsuite_report () \
1023        { \
1024          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1025          result_count $$1 "PASS: " $$pass  "$$grn"; \
1026          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1027          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1028          result_count $$1 "FAIL: " $$fail  "$$red"; \
1029          result_count $$1 "XPASS:" $$xpass "$$red"; \
1030          result_count $$1 "ERROR:" $$error "$$mgn"; \
1031        }; \
1032        {                                                               \
1033          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1034            $(am__rst_title);                                           \
1035          create_testsuite_report --no-color;                           \
1036          echo;                                                         \
1037          echo ".. contents:: :depth: 2";                               \
1038          echo;                                                         \
1039          for b in $$bases; do echo $$b; done                           \
1040            | $(am__create_global_log);                                 \
1041        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1042        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1043        if $$success; then                                              \
1044          col="$$grn";                                                  \
1045         else                                                           \
1046          col="$$red";                                                  \
1047          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1048        fi;                                                             \
1049        echo "$${col}$$br$${std}";                                      \
1050        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1051        echo "$${col}$$br$${std}";                                      \
1052        create_testsuite_report --maybe-color;                          \
1053        echo "$$col$$br$$std";                                          \
1054        if $$success; then :; else                                      \
1055          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1056          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1057            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1058          fi;                                                           \
1059          echo "$$col$$br$$std";                                        \
1060        fi;                                                             \
1061        $$success || exit 1
1062
1063check-TESTS:
1064        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1065        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1066        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1067        @set +e; $(am__set_TESTS_bases); \
1068        log_list=`for i in $$bases; do echo $$i.log; done`; \
1069        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1070        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1071        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1072        exit $$?;
1073recheck: all $(check_PROGRAMS)
1074        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1075        @set +e; $(am__set_TESTS_bases); \
1076        bases=`for i in $$bases; do echo $$i; done \
1077                 | $(am__list_recheck_tests)` || exit 1; \
1078        log_list=`for i in $$bases; do echo $$i.log; done`; \
1079        log_list=`echo $$log_list`; \
1080        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1081                am__force_recheck=am--force-recheck \
1082                TEST_LOGS="$$log_list"; \
1083        exit $$?
1084testHeaders.log: testHeaders
1085        @p='testHeaders'; \
1086        b='testHeaders'; \
1087        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1088        --log-file $$b.log --trs-file $$b.trs \
1089        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1090        "$$tst" $(AM_TESTS_FD_REDIRECT)
1091.test.log:
1092        @p='$<'; \
1093        $(am__set_b); \
1094        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1095        --log-file $$b.log --trs-file $$b.trs \
1096        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1097        "$$tst" $(AM_TESTS_FD_REDIRECT)
1098@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1099@am__EXEEXT_TRUE@       @p='$<'; \
1100@am__EXEEXT_TRUE@       $(am__set_b); \
1101@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1102@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1103@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1104@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1105
1106distdir: $(DISTFILES)
1107        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1108        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1109        list='$(DISTFILES)'; \
1110          dist_files=`for file in $$list; do echo $$file; done | \
1111          sed -e "s|^$$srcdirstrip/||;t" \
1112              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1113        case $$dist_files in \
1114          */*) $(MKDIR_P) `echo "$$dist_files" | \
1115                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1116                           sort -u` ;; \
1117        esac; \
1118        for file in $$dist_files; do \
1119          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1120          if test -d $$d/$$file; then \
1121            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1122            if test -d "$(distdir)/$$file"; then \
1123              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1124            fi; \
1125            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1126              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1127              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1128            fi; \
1129            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1130          else \
1131            test -f "$(distdir)/$$file" \
1132            || cp -p $$d/$$file "$(distdir)/$$file" \
1133            || exit 1; \
1134          fi; \
1135        done
1136        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1137          if test "$$subdir" = .; then :; else \
1138            $(am__make_dryrun) \
1139              || test -d "$(distdir)/$$subdir" \
1140              || $(MKDIR_P) "$(distdir)/$$subdir" \
1141              || exit 1; \
1142            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1143            $(am__relativize); \
1144            new_distdir=$$reldir; \
1145            dir1=$$subdir; dir2="$(top_distdir)"; \
1146            $(am__relativize); \
1147            new_top_distdir=$$reldir; \
1148            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1149            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1150            ($(am__cd) $$subdir && \
1151              $(MAKE) $(AM_MAKEFLAGS) \
1152                top_distdir="$$new_top_distdir" \
1153                distdir="$$new_distdir" \
1154                am__remove_distdir=: \
1155                am__skip_length_check=: \
1156                am__skip_mode_fix=: \
1157                distdir) \
1158              || exit 1; \
1159          fi; \
1160        done
1161check-am: all-am
1162        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1163        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1164check: check-recursive
1165all-am: Makefile $(LIBRARIES) $(HEADERS)
1166installdirs: installdirs-recursive
1167installdirs-am:
1168install: install-recursive
1169install-exec: install-exec-recursive
1170install-data: install-data-recursive
1171uninstall: uninstall-recursive
1172
1173install-am: all-am
1174        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1175
1176installcheck: installcheck-recursive
1177install-strip:
1178        if test -z '$(STRIP)'; then \
1179          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1180            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1181              install; \
1182        else \
1183          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1184            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1185            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1186        fi
1187mostlyclean-generic:
1188        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1189        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1190        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1191
1192clean-generic:
1193        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1194
1195distclean-generic:
1196        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1197        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1198
1199maintainer-clean-generic:
1200        @echo "This command is intended for maintainers to use"
1201        @echo "it deletes files that may require special tools to rebuild."
1202clean: clean-recursive
1203
1204clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1205        clean-noinstLIBRARIES mostlyclean-am
1206
1207distclean: distclean-recursive
1208        -rm -rf ./$(DEPDIR)
1209        -rm -f Makefile
1210distclean-am: clean-am distclean-compile distclean-generic \
1211        distclean-tags
1212
1213dvi: dvi-recursive
1214
1215dvi-am:
1216
1217html: html-recursive
1218
1219html-am:
1220
1221info: info-recursive
1222
1223info-am:
1224
1225install-data-am:
1226
1227install-dvi: install-dvi-recursive
1228
1229install-dvi-am:
1230
1231install-exec-am:
1232
1233install-html: install-html-recursive
1234
1235install-html-am:
1236
1237install-info: install-info-recursive
1238
1239install-info-am:
1240
1241install-man:
1242
1243install-pdf: install-pdf-recursive
1244
1245install-pdf-am:
1246
1247install-ps: install-ps-recursive
1248
1249install-ps-am:
1250
1251installcheck-am:
1252
1253maintainer-clean: maintainer-clean-recursive
1254        -rm -rf ./$(DEPDIR)
1255        -rm -f Makefile
1256maintainer-clean-am: distclean-am maintainer-clean-generic
1257
1258mostlyclean: mostlyclean-recursive
1259
1260mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1261        mostlyclean-libtool
1262
1263pdf: pdf-recursive
1264
1265pdf-am:
1266
1267ps: ps-recursive
1268
1269ps-am:
1270
1271uninstall-am:
1272
1273.MAKE: $(am__recursive_targets) check-am install-am install-strip
1274
1275.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1276        check-TESTS check-am clean clean-checkPROGRAMS clean-generic \
1277        clean-libtool clean-noinstLIBRARIES cscopelist-am ctags \
1278        ctags-am distclean distclean-compile distclean-generic \
1279        distclean-libtool distclean-tags distdir dvi dvi-am html \
1280        html-am info info-am install install-am install-data \
1281        install-data-am install-dvi install-dvi-am install-exec \
1282        install-exec-am install-html install-html-am install-info \
1283        install-info-am install-man install-pdf install-pdf-am \
1284        install-ps install-ps-am install-strip installcheck \
1285        installcheck-am installdirs installdirs-am maintainer-clean \
1286        maintainer-clean-generic mostlyclean mostlyclean-compile \
1287        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1288        recheck tags tags-am uninstall uninstall-am
1289
1290.PRECIOUS: Makefile
1291
1292
1293$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1294
1295testHeaders: $(srcdir)/*.h
1296        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1297
1298.PHONY: testHeaders
1299
1300# Tell versions [3.59,3.63) of GNU make to not export all variables.
1301# Otherwise a system limit (for SysV at least) may be exceeded.
1302.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.